// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

/**
 * Protobuf type {@code com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto}
 */
public  final class OrderBlotterUpdateResponseDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto)
    OrderBlotterUpdateResponseDtoOrBuilder {
  // Use OrderBlotterUpdateResponseDto.newBuilder() to construct.
  private OrderBlotterUpdateResponseDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private OrderBlotterUpdateResponseDto() {
    updateType_ = 0;
    orders_ = java.util.Collections.emptyList();
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private OrderBlotterUpdateResponseDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 8: {
            int rawValue = input.readEnum();

            updateType_ = rawValue;
            break;
          }
          case 18: {
            if (!((mutable_bitField0_ & 0x00000002) == 0x00000002)) {
              orders_ = new java.util.ArrayList<com.accelfin.server.demo.fx.dtos.OrderDto>();
              mutable_bitField0_ |= 0x00000002;
            }
            orders_.add(input.readMessage(com.accelfin.server.demo.fx.dtos.OrderDto.parser(), extensionRegistry));
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      if (((mutable_bitField0_ & 0x00000002) == 0x00000002)) {
        orders_ = java.util.Collections.unmodifiableList(orders_);
      }
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterUpdateResponseDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterUpdateResponseDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto.class, com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto.Builder.class);
  }

  private int bitField0_;
  public static final int UPDATE_TYPE_FIELD_NUMBER = 1;
  private int updateType_;
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
   */
  public int getUpdateTypeValue() {
    return updateType_;
  }
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
   */
  public com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto getUpdateType() {
    com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto result = com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.forNumber(updateType_);
    return result == null ? com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.UNRECOGNIZED : result;
  }

  public static final int ORDERS_FIELD_NUMBER = 2;
  private java.util.List<com.accelfin.server.demo.fx.dtos.OrderDto> orders_;
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
   */
  public java.util.List<com.accelfin.server.demo.fx.dtos.OrderDto> getOrdersList() {
    return orders_;
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
   */
  public java.util.List<? extends com.accelfin.server.demo.fx.dtos.OrderDtoOrBuilder> 
      getOrdersOrBuilderList() {
    return orders_;
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
   */
  public int getOrdersCount() {
    return orders_.size();
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
   */
  public com.accelfin.server.demo.fx.dtos.OrderDto getOrders(int index) {
    return orders_.get(index);
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
   */
  public com.accelfin.server.demo.fx.dtos.OrderDtoOrBuilder getOrdersOrBuilder(
      int index) {
    return orders_.get(index);
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (updateType_ != com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.NORMAL.getNumber()) {
      output.writeEnum(1, updateType_);
    }
    for (int i = 0; i < orders_.size(); i++) {
      output.writeMessage(2, orders_.get(i));
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (updateType_ != com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.NORMAL.getNumber()) {
      size += com.google.protobuf.CodedOutputStream
        .computeEnumSize(1, updateType_);
    }
    for (int i = 0; i < orders_.size(); i++) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, orders_.get(i));
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto)
      com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterUpdateResponseDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterUpdateResponseDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto.class, com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto.Builder.class);
    }

    // Construct using com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
        getOrdersFieldBuilder();
      }
    }
    public Builder clear() {
      super.clear();
      updateType_ = 0;

      if (ordersBuilder_ == null) {
        orders_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000002);
      } else {
        ordersBuilder_.clear();
      }
      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterUpdateResponseDto_descriptor;
    }

    public com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto getDefaultInstanceForType() {
      return com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto.getDefaultInstance();
    }

    public com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto build() {
      com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto buildPartial() {
      com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto result = new com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto(this);
      int from_bitField0_ = bitField0_;
      int to_bitField0_ = 0;
      result.updateType_ = updateType_;
      if (ordersBuilder_ == null) {
        if (((bitField0_ & 0x00000002) == 0x00000002)) {
          orders_ = java.util.Collections.unmodifiableList(orders_);
          bitField0_ = (bitField0_ & ~0x00000002);
        }
        result.orders_ = orders_;
      } else {
        result.orders_ = ordersBuilder_.build();
      }
      result.bitField0_ = to_bitField0_;
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto) {
        return mergeFrom((com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto other) {
      if (other == com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto.getDefaultInstance()) return this;
      if (other.updateType_ != 0) {
        setUpdateTypeValue(other.getUpdateTypeValue());
      }
      if (ordersBuilder_ == null) {
        if (!other.orders_.isEmpty()) {
          if (orders_.isEmpty()) {
            orders_ = other.orders_;
            bitField0_ = (bitField0_ & ~0x00000002);
          } else {
            ensureOrdersIsMutable();
            orders_.addAll(other.orders_);
          }
          onChanged();
        }
      } else {
        if (!other.orders_.isEmpty()) {
          if (ordersBuilder_.isEmpty()) {
            ordersBuilder_.dispose();
            ordersBuilder_ = null;
            orders_ = other.orders_;
            bitField0_ = (bitField0_ & ~0x00000002);
            ordersBuilder_ = 
              com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders ?
                 getOrdersFieldBuilder() : null;
          } else {
            ordersBuilder_.addAllMessages(other.orders_);
          }
        }
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }
    private int bitField0_;

    private int updateType_ = 0;
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
     */
    public int getUpdateTypeValue() {
      return updateType_;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
     */
    public Builder setUpdateTypeValue(int value) {
      updateType_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
     */
    public com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto getUpdateType() {
      com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto result = com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.forNumber(updateType_);
      return result == null ? com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.UNRECOGNIZED : result;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
     */
    public Builder setUpdateType(com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto value) {
      if (value == null) {
        throw new NullPointerException();
      }
      
      updateType_ = value.getNumber();
      onChanged();
      return this;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
     */
    public Builder clearUpdateType() {
      
      updateType_ = 0;
      onChanged();
      return this;
    }

    private java.util.List<com.accelfin.server.demo.fx.dtos.OrderDto> orders_ =
      java.util.Collections.emptyList();
    private void ensureOrdersIsMutable() {
      if (!((bitField0_ & 0x00000002) == 0x00000002)) {
        orders_ = new java.util.ArrayList<com.accelfin.server.demo.fx.dtos.OrderDto>(orders_);
        bitField0_ |= 0x00000002;
       }
    }

    private com.google.protobuf.RepeatedFieldBuilder<
        com.accelfin.server.demo.fx.dtos.OrderDto, com.accelfin.server.demo.fx.dtos.OrderDto.Builder, com.accelfin.server.demo.fx.dtos.OrderDtoOrBuilder> ordersBuilder_;

    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public java.util.List<com.accelfin.server.demo.fx.dtos.OrderDto> getOrdersList() {
      if (ordersBuilder_ == null) {
        return java.util.Collections.unmodifiableList(orders_);
      } else {
        return ordersBuilder_.getMessageList();
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public int getOrdersCount() {
      if (ordersBuilder_ == null) {
        return orders_.size();
      } else {
        return ordersBuilder_.getCount();
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public com.accelfin.server.demo.fx.dtos.OrderDto getOrders(int index) {
      if (ordersBuilder_ == null) {
        return orders_.get(index);
      } else {
        return ordersBuilder_.getMessage(index);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public Builder setOrders(
        int index, com.accelfin.server.demo.fx.dtos.OrderDto value) {
      if (ordersBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureOrdersIsMutable();
        orders_.set(index, value);
        onChanged();
      } else {
        ordersBuilder_.setMessage(index, value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public Builder setOrders(
        int index, com.accelfin.server.demo.fx.dtos.OrderDto.Builder builderForValue) {
      if (ordersBuilder_ == null) {
        ensureOrdersIsMutable();
        orders_.set(index, builderForValue.build());
        onChanged();
      } else {
        ordersBuilder_.setMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public Builder addOrders(com.accelfin.server.demo.fx.dtos.OrderDto value) {
      if (ordersBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureOrdersIsMutable();
        orders_.add(value);
        onChanged();
      } else {
        ordersBuilder_.addMessage(value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public Builder addOrders(
        int index, com.accelfin.server.demo.fx.dtos.OrderDto value) {
      if (ordersBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureOrdersIsMutable();
        orders_.add(index, value);
        onChanged();
      } else {
        ordersBuilder_.addMessage(index, value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public Builder addOrders(
        com.accelfin.server.demo.fx.dtos.OrderDto.Builder builderForValue) {
      if (ordersBuilder_ == null) {
        ensureOrdersIsMutable();
        orders_.add(builderForValue.build());
        onChanged();
      } else {
        ordersBuilder_.addMessage(builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public Builder addOrders(
        int index, com.accelfin.server.demo.fx.dtos.OrderDto.Builder builderForValue) {
      if (ordersBuilder_ == null) {
        ensureOrdersIsMutable();
        orders_.add(index, builderForValue.build());
        onChanged();
      } else {
        ordersBuilder_.addMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public Builder addAllOrders(
        java.lang.Iterable<? extends com.accelfin.server.demo.fx.dtos.OrderDto> values) {
      if (ordersBuilder_ == null) {
        ensureOrdersIsMutable();
        com.google.protobuf.AbstractMessageLite.Builder.addAll(
            values, orders_);
        onChanged();
      } else {
        ordersBuilder_.addAllMessages(values);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public Builder clearOrders() {
      if (ordersBuilder_ == null) {
        orders_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000002);
        onChanged();
      } else {
        ordersBuilder_.clear();
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public Builder removeOrders(int index) {
      if (ordersBuilder_ == null) {
        ensureOrdersIsMutable();
        orders_.remove(index);
        onChanged();
      } else {
        ordersBuilder_.remove(index);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public com.accelfin.server.demo.fx.dtos.OrderDto.Builder getOrdersBuilder(
        int index) {
      return getOrdersFieldBuilder().getBuilder(index);
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public com.accelfin.server.demo.fx.dtos.OrderDtoOrBuilder getOrdersOrBuilder(
        int index) {
      if (ordersBuilder_ == null) {
        return orders_.get(index);  } else {
        return ordersBuilder_.getMessageOrBuilder(index);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public java.util.List<? extends com.accelfin.server.demo.fx.dtos.OrderDtoOrBuilder> 
         getOrdersOrBuilderList() {
      if (ordersBuilder_ != null) {
        return ordersBuilder_.getMessageOrBuilderList();
      } else {
        return java.util.Collections.unmodifiableList(orders_);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public com.accelfin.server.demo.fx.dtos.OrderDto.Builder addOrdersBuilder() {
      return getOrdersFieldBuilder().addBuilder(
          com.accelfin.server.demo.fx.dtos.OrderDto.getDefaultInstance());
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public com.accelfin.server.demo.fx.dtos.OrderDto.Builder addOrdersBuilder(
        int index) {
      return getOrdersFieldBuilder().addBuilder(
          index, com.accelfin.server.demo.fx.dtos.OrderDto.getDefaultInstance());
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
     */
    public java.util.List<com.accelfin.server.demo.fx.dtos.OrderDto.Builder> 
         getOrdersBuilderList() {
      return getOrdersFieldBuilder().getBuilderList();
    }
    private com.google.protobuf.RepeatedFieldBuilder<
        com.accelfin.server.demo.fx.dtos.OrderDto, com.accelfin.server.demo.fx.dtos.OrderDto.Builder, com.accelfin.server.demo.fx.dtos.OrderDtoOrBuilder> 
        getOrdersFieldBuilder() {
      if (ordersBuilder_ == null) {
        ordersBuilder_ = new com.google.protobuf.RepeatedFieldBuilder<
            com.accelfin.server.demo.fx.dtos.OrderDto, com.accelfin.server.demo.fx.dtos.OrderDto.Builder, com.accelfin.server.demo.fx.dtos.OrderDtoOrBuilder>(
                orders_,
                ((bitField0_ & 0x00000002) == 0x00000002),
                getParentForChildren(),
                isClean());
        orders_ = null;
      }
      return ordersBuilder_;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto)
  private static final com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto();
  }

  public static com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<OrderBlotterUpdateResponseDto>
      PARSER = new com.google.protobuf.AbstractParser<OrderBlotterUpdateResponseDto>() {
    public OrderBlotterUpdateResponseDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new OrderBlotterUpdateResponseDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<OrderBlotterUpdateResponseDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<OrderBlotterUpdateResponseDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

